Summary:	oFono - Open Source Telephony
Summary(pl.UTF-8):	oFono - telefonia o otwartych źródłach
Name:		ofono
Version:	2.8
Release:	1
License:	GPL v2
Group:		Networking/Daemons
Source0:	https://www.kernel.org/pub/linux/network/ofono/%{name}-%{version}.tar.xz
# Source0-md5:	9c51e987ba293b81add8096a42afcdcd
URL:		https://01.org/ofono
BuildRequires:	dbus-devel >= 1.6
BuildRequires:	ell-devel >= 0.65
BuildRequires:	gcc >= 5:3.4
BuildRequires:	glib2-devel >= 1:2.68
BuildRequires:	libusb-devel >= 1.0
BuildRequires:	mobile-broadband-provider-info-devel
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	systemd-units
BuildRequires:	tar >= 1:1.22
BuildRequires:	udev-devel >= 1:143
BuildRequires:	xz
Requires:	dbus >= 1.6
Requires:	ell >= 0.65
Requires:	glib2 >= 1:2.68
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
oFono is an infrastructure for building mobile telephony (GSM/UMTS)
applications. oFono is licensed under GPL v2, and it includes a
high-level D-Bus API for use by telephony applications of any license.
oFono also includes a low-level plug-in API for integrating with open
source as well as third party telephony stacks, cellular modems and
storage back-ends.

%description -l pl.UTF-8
oFono to infrastruktura do tworzenia aplikacji związanych z telefonią
komórkową (GSM/UMTS). oFono jest wydawane na licencji GPL v2 i zawiera
wysokopoziomowe API D-Bus do wykorzystywania przez aplikacje na
dowolnej licencji. oFono zawiera także niskopoziomowe API wtyczek do
integracji z oprogramowaniem o otwartych źródłach, a także stosami
telefonicznych innych producentów, modemami komórkowymi oraz
backendami do przechowywania danych.

%package devel
Summary:	Header files for oFono plugins
Summary(pl.UTF-8):	Pliki nagłówkowe dla wtyczek oFono
Group:		Development/Libraries
Requires:	dbus-devel >= 1.6
Requires:	glib2-devel >= 1:2.68
# doesn't require base

%description devel
Header files for oFono plugins.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla wtyczek oFono.

%prep
%setup -q

# no debug symbols in ofono itself
# and it requires __ell_debug__ section start/stop symbols, which are not exported from shared ell (as of ell 0.17)
%{__sed} -i -e '/l_debug_enable/d' src/main.c

%build
%configure \
	--disable-silent-rules \
	--enable-dundee \
	--enable-external-ell \
	--enable-mbimmodem \
	--enable-pie \
	--enable-tools
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/ofono/plugins

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_sbindir}/dundee
%attr(755,root,root) %{_sbindir}/ofonod
%dir %{_libdir}/ofono
%dir %{_libdir}/ofono/plugins
%dir %{_sysconfdir}/ofono
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ofono/phonesim.conf
%{_datadir}/ofono
/etc/dbus-1/system.d/dundee.conf
/etc/dbus-1/system.d/ofono.conf
/lib/systemd/system/dundee.service
/lib/systemd/system/ofono.service
%{_mandir}/man8/ofonod.8*

%files devel
%defattr(644,root,root,755)
%doc doc/*.txt
%{_includedir}/ofono
%{_pkgconfigdir}/ofono.pc
%changelog
* Sat Jun 08 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ofono.git;a=log;h=master

* Sat Jun 08 2024 Jakub Bogusz <qboosh@pld-linux.org> e634d09
- updated to 2.8

* Mon May 20 2024 Jakub Bogusz <qboosh@pld-linux.org> 0cf7bdb
- updated to 2.7

* Mon Apr 29 2024 Jakub Bogusz <qboosh@pld-linux.org> b0ea4d0
- updated to 2.6

* Sun Mar 17 2024 Jakub Bogusz <qboosh@pld-linux.org> 803fa75
- updated to 2.5

* Sat Dec 16 2023 Jakub Bogusz <qboosh@pld-linux.org> 5d438e4
- updated to 2.2

* Sat Jul 01 2023 Jakub Bogusz <qboosh@pld-linux.org> 3b5a73b
- updated to 2.1

* Thu Oct 06 2022 Jakub Bogusz <qboosh@pld-linux.org> 5a31f23
- updated to 2.0

* Sat Jan 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 13d9635
- updated to 1.34

* Mon Nov 01 2021 Jakub Bogusz <qboosh@pld-linux.org> 7fcab52
- updated to 1.33

* Sat May 08 2021 Jakub Bogusz <qboosh@pld-linux.org> f03526d
- updated to 1.32

* Thu Nov 07 2019 Jakub Bogusz <qboosh@pld-linux.org> 4575ad2
- updated to 1.31

* Sat Aug 31 2019 Jakub Bogusz <qboosh@pld-linux.org> b0f6ea7
- updated to 1.30

* Sat Jun 01 2019 Jakub Bogusz <qboosh@pld-linux.org> 0aaee25
- updated to 1.29

* Sat Mar 09 2019 Jakub Bogusz <qboosh@pld-linux.org> 04f865a
- updated to 1.28

* Sun Nov 25 2018 Jakub Bogusz <qboosh@pld-linux.org> e74c4f6
- updated to 1.26
- removed obsolete missing patch

* Sat Aug 25 2018 Jakub Bogusz <qboosh@pld-linux.org> 0d16d32
- updated to 1.24

* Sat Apr 14 2018 Jakub Bogusz <qboosh@pld-linux.org> 7c51fcd
- updated to 1.23
- added missing patch (missing file from git)

* Fri May 12 2017 Jakub Bogusz <qboosh@pld-linux.org> 6e52f47
- updated to 1.20

* Tue Dec 13 2016 Jakub Bogusz <qboosh@pld-linux.org> d8da9f6
- updated to 1.19

* Tue May 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 5403c6b
- updated to 1.18

